### Method

# GLib VariantIter init

since: 2.24

#### Declaration

    gsize
    g_variant_iter_init (
      GVariantIter* iter,
      GVariant* value
    )

#### Description

Initialises (without allocating) a `GVariantIter`. `iter` may be completely uninitialised prior to this call; its old value is ignored.

The iterator remains valid for as long as `value` exists, and need not be freed in any way.

Available since: 2.24

This method is not directly available to language bindings.

#### Parameters

`value`

  Type: `GVariant`

  A container `GVariant`.

  The data is owned by the caller of the method.

#### Return value

Type: `gsize`

The number of items in `value`.